Subject: bug#4868: 23.1; "No fileset is available here"

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 4 Nov 2009 13:15:22 -0800 (PST)

Tom Tromey <[email-masked]> writes:

  > I modified a file in a git-managed directory.
  > Then I typed `C-x v ='.
  > I got an error: "No fileset is available here".

Is this file not registered with Git?

If yes, then that's the error it would get.
emacs-22 used to have a nicer looking error in that case: "File is not
under version control".   Not sure why that check got removed, there's
nothing in the ChangeLog to explain it :-(

  > However, if I switch to another buffer visiting a (modified) file in
  > that same directory, `C-x v =' works just fine.